#! /bin/sh

if ! echo "$LC_CTYPE" | grep -Fiq utf-8; then
   echo "This script requires UTF-8 locale" 1>&2
   exit 1
fi

from_enc=utf-8
to_enc=koi8-r

while getopts f:t: opt; do
   case $opt in
      f ) from_enc="$OPTARG" ;;
      t ) to_enc="$OPTARG" ;;
   esac
done
shift `expr $OPTIND - 1`

for dir in "$@"; do
   cleanup-filenames-recursive.sh "$dir" &&
   recode-filenames-recursive.py "$from_enc" "$to_enc" "$dir" || exit 1
done
